## NAME

           img2grd - Extract region of img in Mercator or geographic form

## SYNOPSIS

           img2grd  imgfile -Ggrdfile -Rwest/east/south/north -Ttype [ -E ] [ -L ]
           [ -M ] [ -Nnavg ] [ -Sscale ] [ -V ] [  -mminutes  ]  [  -xmaxlon  ]  [
           -yminlat/maxlat ]

## DESCRIPTION

           img2grd  is  a  front-end to img2mercgrd which reads an img format file
           and creates a grdfile.  The -M  option  dictates  whether  or  not  the
           Spherical Mercator projection of the img file is preserved.

           imgfile
                  An img format file such as the marine gravity or seafloor topog-
                  raphy fields estimated from satellite altimeter data by Sandwell
                  and   Smith.  If  the  user  has  set  an  environment  variable
                  GMT_IMGDIR,  then  img2mercgrd  will  try  to  find  imgfile  in
                  $GMT_IMGDIR; else it will try to open imgfile directly.

           -G     grdfile is the name of the output grdfile.

           -R     west,  east, south, and north specify the Region of interest. To
                  specify boundaries in degrees and minutes, use the dd:mm format.

           -T     type  handles  the  encoding of constraint information. type = 0
                  indicates that no such information is encoded in  the  img  file
                  (used  for  pre-1995  versions of the gravity data) and gets all
                  data. type > 0 indicates that constraint information is  encoded
                  (1995 and later (current) versions of the img files) so that one
                  may produce a grd file as follows: -T1 gets data values  at  all
                  points,  -T2  gets  data values at constrained points and NaN at
                  interpolated points; -T3 gets 1 at constrained points and  0  at
                  interpolated points.

## OPTIONS

           -E     Can  be  used when -M is not set to force the final grid to have
                  the exact same region as requested  with  -R.  By  default,  the
                  final  region  is  a  direct projection of the original Mercator
                  region and will typically extend slightly beyond  the  requested
                  latitude  range,  and  futhermore the grid increment in latitude
                  does not match the  longitude  increment.   However,  the  extra
                  resampling introduces small interpolation errors and should only
                  be used if the output grid must match the requested  region  and
                  have x_inc = y_inc.

           -L     With  no  other  arguments,  list  all  *.img files found in the
                  directory pointed to by $GMT_IMGDIR, or the current directory if
                  not defined. Ignored if other options are present on the command
                  line.

           -M     Output a  Spherical  Mercator  grid  [Default  is  a  geographic
                  lon/lat grid].

           -N     Average  the  values  in  the input img pixels into navg by navg
                  Eotvos*10.)

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].  Particularly recommended here, as it
                  is helpful to see how the coordinates are adjusted.

           -m     Indicate  minutes  as the width of an input img pixel in minutes
                  of longitude.  [Default is 2.0].

           -x     Indicate maxlon as the maximum longitude extent of the input img
                  file.  Versions  since  1995 have had maxlon = 360.0, while some
                  earlier files had maxlon = 390.0. [Default is 360.0].

           -y     Indicate minlat/maxlat as the latitude extent of the  input  img
                  file. All versions to date have used -72.006/72.006. [Default is
                  -72.006/72.006].

## EXAMPLES

           To extract data in the region -R-40/40/-70/-30 from  world_grav.img.7.2
           and preserve the Mercator gridding:

           img2grd world_grav.img.7.2 -Gmerc_grav.grd -R-40/40/-70/-30 -M -T1 -V

           Without the -M option the same command will yield a geographic grid.

## SEE ALSO

           gmt(GMTMANSECTION), img2mercgrd(GMTMANSECTION)

    GMT4.0                            1 Oct 2004            IMG2GRD(GMTMANSECTION)